using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class UserLogInfo : DataEntityBase
	{
		public UserLogInfo()
		{
			base.InitMetaData();
		}

		private System.Int64 _LogID;
		public System.Int64 LogID
		{
			get
			{
				return this._LogID;
			}
			set
			{
				this._LogID = value;
				IsChanged = true;
			}
		}

		private System.String _SubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return this._SubSystemID;
			}
			set
			{
				this._SubSystemID = value;
				IsChanged = true;
			}
		}

		private System.Int32 _UserID;
		public System.Int32 UserID
		{
			get
			{
				return this._UserID;
			}
			set
			{
				this._UserID = value;
				IsChanged = true;
			}
		}

		private System.String _LogIP;
		public System.String LogIP
		{
			get
			{
				return this._LogIP;
			}
			set
			{
				this._LogIP = value;
				IsChanged = true;
			}
		}

		private System.DateTime _LogTime;
		public System.DateTime LogTime
		{
			get
			{
				return this._LogTime;
			}
			set
			{
				this._LogTime = value;
				IsChanged = true;
			}
		}

		private System.String _Description;
		public System.String Description
		{
			get
			{
				return this._Description;
			}
			set
			{
				this._Description = value;
				IsChanged = true;
			}
		}
	}
}